<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateRemoteTransactionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('remote_transactions', function (Blueprint $table) {
            $table->increments('id');
            $table->tinyInteger('status')->default(0);
            $table->integer('user_id');
            $table->integer('job_id')->nullable();
            $table->integer('transaction_id')->nullable();
            $table->char('coin_type', 5);
            $table->decimal('coin_rate', 15, 8)->nullable();
            $table->char('currency_type', 5);
            $table->decimal('amount', 15);
            $table->string('note', 512)->nullable();
            $table->text('result_data')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('remote_transactions');
    }
}
