<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreatePackagesTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
        Schema::drop('packages');

		Schema::create('packages', function(Blueprint $table)
		{
			$table->integer('id', true);
			$table->string('name', 100);
			$table->text('description', 65535);
			$table->string('image', 300)->nullable();
			$table->string('icon', 300)->nullable();
			$table->boolean('status')->default(1);
			$table->decimal('price', 15)->default(0.00);
			$table->string('price_currency', 3)->nullable();
			$table->decimal('price_real', 15)->default(0.00);
			$table->string('price_real_currency', 3)->nullable();
			$table->decimal('cv', 15)->default(0.00);
			$table->decimal('cv_commission', 15)->default(0.00);
			$table->decimal('commission_pool', 10, 6)->default(0.000000);
			$table->decimal('commission_cpc_pool', 10, 6);
			$table->decimal('direct_commission', 10, 6);
			$table->decimal('cpc_pool', 10, 6)->nullable();
			$table->decimal('binary_commission', 10, 6);
			$table->decimal('fast_start_bonus', 10, 6)->default(0.000000);
			$table->decimal('operation_fee', 5)->default(0.00);
			$table->decimal('event_fee', 5)->default(0.00);
			$table->decimal('marketing_cost', 5)->default(0.00);
			$table->timestamps();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('packages');
	}

}
