<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateUsersDepositsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users_deposits', function (Blueprint $table) {
            $table->increments('id');
            $table->string('uuid', 100);
            $table->unsignedInteger('user_id');
            $table->string('email', 255);
            $table->decimal('usdt_value', 15, 8);
            $table->decimal('coin_rate', 15, 8);
            $table->string('currency_name', 32);
            $table->decimal('currency_amount', 15, 8);
            $table->string('comment', 255)->nullable($value = true);
            $table->string('transaction_source_system');
            $table->unsignedTinyInteger('status')->nullable($value = true);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users_deposits');
    }
}
