<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAuctionPurchasesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('auction_purchases', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('user_id');
            $table->unsignedInteger('item_id');
            $table->string('type', 50)->nullable($value = true)->default(null);
            $table->unsignedTinyInteger('status')->nullable($value = true)->default(1);
            $table->decimal('price', 15, 8)->nullable($value = true)->default(0);
            $table->unsignedInteger('shipping_id')->nullable($value = true)->default(null);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('auction_purchases');
    }
}
