<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateShippingsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('shippings', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('user_id');
            $table->unsignedInteger('item_id');
            $table->unsignedTinyInteger('status')->nullable($value = true)->default(1);
            $table->string('comment', 255)->nullable($value = true)->default(null);
            $table->unsignedInteger('country_id');
            $table->string('city', 100);
            $table->string('zip_code', 25);
            $table->string('state', 100)->nullable($value = true)->default(null);
            $table->string('address', 255);
            $table->string('phone', 50);
            $table->string('first_name', 50);
            $table->string('middle_name', 50)->nullable($value = true)->default(null);
            $table->string('last_name', 50);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('shippings');
    }
}
