<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateFaqsTranslationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('faqs_translations', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('faqs_id');
            $table->string('question', 255);
            $table->text('answer');

            $table->string('locale')->index();

            $table->unique(['faqs_id','locale']);
            $table->foreign('faqs_id')->references('id')->on('faqs')->onDelete('cascade');
        });
        $results = DB::table('faqs')->select('id','question','answer')->get();

        //move existing values to translation_db (with english value)
        foreach ($results as $result){

            foreach( Config::get('app.languages') as $key => $lang ){

                DB::table('faqs_translations')->insert(
                    array('faqs_id'=>$result->id,
                    'question'=>$result->question,
                    'answer'=>$result->answer,
                    'locale'=>$key)
                );
            }
        }


        //remove question and answer from faqs table
        Schema::table('faqs', function($table) {
            $table->dropColumn('question');
            $table->dropColumn('answer');
         });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('faqs_translations');
        Schema::table('faqs', function($table) {
            $table->string('question');
            $table->text('answer');
         });
    }
}
