<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateEnumsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('enums', function (Blueprint $table) {
            $table->increments('id');
            $table->string('model_name', 255)->nullable($value = true)->default(null);
            $table->string('model_field', 255)->nullable($value = true)->default(null);
            $table->integer('model_id')->nullable($value = true)->default(0);
            $table->string('value', 255)->nullable($value = true)->default(null);
            $table->unsignedTinyInteger('status')->nullable($value = true)->default(1);
            $table->string('type', 50)->nullable($value = true)->default(null);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('enums');
    }
}
