<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAdminContentTranslationTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('admin_contents_translations', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('admin_contents_id');
            $table->string('title', 100);
            $table->text('content');

            $table->string('locale')->index();

            $table->unique(['admin_contents_id','locale']);
            $table->foreign('admin_contents_id')->references('id')->on('admin_contents')->onDelete('cascade');
        });
        //move existing values to translation_db (with english value)
        $results = DB::table('admin_contents')->select('id','title','content')->get();

        foreach ($results as $result){
 
            foreach( Config::get('app.languages') as $key => $lang ){

                DB::table('admin_contents_translations')->insert(
                    array('admin_contents_id'=>$result->id,
                    'title'=>$result->title,
                    'content'=>$result->content,
                    'locale'=>$key)
                );
            }
        }
         DB::statement("SET sql_mode = '' ");
         //remove title and content from admin content table
         Schema::table('admin_contents', function($table) {
            $table->dropColumn('title');
            $table->dropColumn('content');

         });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
         Schema::dropIfExists('admin_contents_translation');
         Schema::table('admin_contents', function($table) {
             $table->string('title');
	         $table->text('content');
          });
    }
}
