<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAuctionPackagesTranslationTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        
        Schema::create('auction_packages_translations', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('auction_packages_id');
            $table->string('name', 100);
            $table->text('description');

            $table->string('locale')->index();

            $table->unique(['auction_packages_id','locale']);
            $table->foreign('auction_packages_id')->references('id')->on('auction_packages')->onDelete('cascade');
        });
   
        //move existing values to translation_db (with english value)
        $results = DB::table('auction_packages')->select('id','name','description')->get();
        foreach ($results as $result){
            foreach( Config::get('app.languages') as $key => $lang ){
                DB::table('auction_packages_translations')->insert(
                        array('auction_packages_id'=>$result->id,
                    'name'=>$result->name,
                    'description'=>$result->description,
                    'locale'=>$key)
                );
            }
        }


        // DB::statement("SET sql_mode = '' ");
        //remove name and content from packages table
        Schema::table('auction_packages', function($table) {
           $table->dropColumn('name');
           $table->dropColumn('description');

        });

    }
    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('auction_packages_translations');
        Schema::table('auction_packages', function($table) {
            $table->string('name');
            $table->text('description');
 
         });


    }
}
