<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAuctionItemsTranslationTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        
        Schema::create('auction_items_translations', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('auction_items_id');
            $table->string('title', 100);
            $table->text('description');

            $table->string('locale')->index();

            $table->unique(['auction_items_id','locale']);
            $table->foreign('auction_items_id')->references('id')->on('auction_items')->onDelete('cascade');
        });
   
        //move existing values to translation_db (with english value)
        $results = DB::table('auction_items')->select('id','title','description')->get();
        foreach ($results as $result){
            foreach( Config::get('app.languages') as $key => $lang ){
                DB::table('auction_items_translations')->insert(
                        array('auction_items_id'=>$result->id,
                    'title'=>$result->title,
                    'description'=>$result->description,
                    'locale'=>$key)
                );
            }
        }


         DB::statement("SET sql_mode = '' ");
        //remove title and content from items table
        Schema::table('auction_items', function($table) {
           $table->dropColumn('title');
           $table->dropColumn('description');

        });

    }
    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('auction_items_translations');
        Schema::table('auction_items', function($table) {
            $table->string('title');
            $table->text('description');
 
         });


    }
}
