<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateSupportTicketsCategoriesTranslationTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {

        //--------------------------------------------NOTE-------------------------------------------------------
        //If migration throws (errno: 150 "Foreign key constraint is incorrectly formed")
        // edit  support_tickets -> id  to match support_categories_id
        // try to remove support_tickets -> id -> property or set it lengths to 11
        Schema::create('stc_translations', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('support_categories_id');
            $table->string('name', 50);


            $table->string('locale')->index();

            $table->unique(['support_categories_id','locale']);
            $table->foreign('support_categories_id')->references('id')->on('support_tickets_categories')->onDelete('cascade');
  
        });
   
        //move existing values to translation_db (with english value)
        $results = DB::table('support_tickets_categories')->select('id','name')->get();
        foreach ($results as $result){
            foreach( Config::get('app.languages') as $key => $lang ){
                DB::table('stc_translations')->insert(
                        array('support_categories_id'=>$result->id,
                    'name'=>$result->name,
                    'locale'=>$key)
                );
            }
        }


         //DB::statement("SET sql_mode = '' ");
        //remove title and content from items table
        Schema::table('support_tickets_categories', function($table) {
           $table->dropColumn('name');


        });

    }
    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('stc_translations');
        Schema::table('support_tickets_categories', function($table) {
            $table->string('name',50);
           
 
         });


    }
}
