<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddAmountLeftToGiftCardsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('gift_cards', function (Blueprint $table) {
            $table->decimal('amount_left', 15, 2)->nullable($value = true)->default(0);
            $table->string('title', 50)->nullable($value = true)->default(null);
        });

        Schema::table('gift_cards', function($table) {
            $table->dropColumn('dateexpiration');
            $table->dropColumn('dateused');
            $table->dropColumn('daterefunded');
            $table->dropColumn('dateactivated');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('gift_cards', function (Blueprint $table) {
            //
        });
    }
}
