<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAuctionCategoriesTranslationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('auction_cat_translations', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('auction_categories_id');
            $table->string('title', 50);


            $table->string('locale')->index();

            $table->unique(['auction_categories_id','locale']);
            $table->foreign('auction_categories_id')->references('id')->on('auction_categories')->onDelete('cascade');
        });

        //move existing values to translation_db (with english value)
        $results = DB::table('auction_categories')->select('id','title')->get();
        foreach ($results as $result){
            foreach( Config::get('app.languages') as $key => $lang ){
                DB::table('auction_cat_translations')->insert(
                    array('auction_categories_id'=>$result->id,
                        'title'=>$result->title,
                        'locale'=>$key)
                );
            }
        }

        Schema::table('auction_categories', function($table) {
            $table->dropColumn('title');


        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('auction_cat_translations');
        Schema::table('auction_categories', function($table) {
            $table->string('title',50);


        });
    }
}
