<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;


class AddBotParamsToAuctionItemsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        \Illuminate\Support\Facades\DB::statement('ALTER TABLE `auction_items` MODIFY COLUMN `ends_at` TIMESTAMP NULL DEFAULT NULL');

        Schema::table('auction_items', function (Blueprint $table) {
            $table->timestamp('bot_bids_start_from')->nullable($value = true);
            $table->decimal('bot_bids_target_price', 15, 2)->nullable($value = true)->default(0.0);
            $table->unsignedTinyInteger('bot_need_win')->nullable($value = true)->default(1);
        });

    }
    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('auction_items', function (Blueprint $table) {
            //
        });
    }
}
