<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateUserAddressesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('user_addresses', function (Blueprint $table) {
            $table->integer('id', true);
            $table->integer('user_id')->nullable();
            $table->integer('package_id');
            $table->string('address', 100)->nullable()->unique('address');
            $table->decimal('fee', 15, 8)->default(0.000000);
            $table->decimal('amount', 15, 8);
            $table->string('currency', 3)->default('usd');
            $table->decimal('received', 15, 8)->default(0.000000);
            $table->boolean('forwarded')->default(0);
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('user_addresses');
    }
}
