<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateUserPaymentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('user_payments', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('address_id');
            $table->string('email', 255);
            $table->decimal('usdt_value', 15, 8);
            $table->decimal('coin_rate', 15, 8);
            $table->string('currency_name', 32);
            $table->decimal('currency_amount', 15, 8);
            $table->string('comment', 255)->nullable();
            $table->string('transaction_source_system');
            $table->unsignedTinyInteger('status')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('user_payments');
    }
}
