<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTransactionsTranslationTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('transactions_translation', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('transactions_id');
            $table->string('note', 250)->nullable();
            $table->string('locale')->index();
            $table->unique(['transactions_id', 'locale']);
            $table->foreign('transactions_id')->references('id')->on('transactions')->onDelete('cascade');
        });

        //move existing values to translation_db (with english value)
        $results = DB::table('transactions')->select('id', 'note')->get();
        foreach ($results as $result) {
            foreach (Config::get('app.languages') as $key => $lang) {
                DB::table('transactions_translation')->insert(
                    array('transactions_id' => $result->id,
                        'note' => $result->note,
                        'locale' => $key)
                );
            }
        }

        //DB::statement("SET sql_mode = '' ");
        //remove title and content from items table
        Schema::table('transactions', function($table) {
            $table->dropColumn('note');


        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('transactions_translation');
        Schema::table('transactions', function($table) {
            $table->string('note',250)->nullable();


        });
    }
}
