<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddLastBidIdToAuctionItemsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('auction_items', function (Blueprint $table) {
            $table->integer('last_bid_id')->nullable();
        });

        //Move existing last_bid_ids to the item's property
        $items = \App\Models\AuctionItems::get();

        foreach($items as $item){
            $item->last_bid_id = \App\Models\AuctionBids::getLastBidId($item->id);
            $item->save();
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('auction_items', function (Blueprint $table) {
            $table->dropColumn('last_bid_id');
        });
    }
}
