<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAuctionBidsArchive extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('auction_bids_archive', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('id_live');
            $table->integer('item_id');
            $table->unsignedInteger('user_id');
            $table->integer('type');
            $table->decimal('price', 20, 2);
            $table->decimal('package_bid_price', 6, 2)->default(0.00);
            $table->timestamp('created_at_live')->nullable();
            $table->timestamp('updated_at_live')->nullable();
            $table->timestamp('deleted_at_live')->nullable();
            $table->timestamps();
        });

        $item_ids = \App\Models\AuctionItems::where('status', 2)->pluck('id');
        foreach($item_ids as $item_id){
            dispatch(new \App\Jobs\ArchiveData('auction_bids', 20, 'item_id', $item_id));
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('auction_bids_archive');
    }
}
